Skip to content

Remove Schedules

DELETE /public/schedule/mass

Cancel and remove multiple scheduled posts at once.

Endpoint Details

  • Authentication: Basic Auth (Authorization: Basic Base64(AccessKey:SecretKey))
  • Access Tier: Premium+

Parameters

ParameterTypeRequiredDescription
scheduleIdsarrayYesArray of schedule IDs to delete.

Example Request

bash
curl -X DELETE "https://api.repliz.com/public/schedule/mass?scheduleIds[]=680affa5ce12f2f72916f67e" \
  -H "Authorization: Basic $(echo -n 'YOUR_ACCESS_KEY:YOUR_SECRET_KEY' | base64)"
javascript
import axios from 'axios';

const response = await axios.delete('https://api.repliz.com/public/schedule/mass', {
  auth: {
    username: 'YOUR_ACCESS_KEY',
    password: 'YOUR_SECRET_KEY'
  }
});

console.log(response.data);
javascript
const credentials = btoa('YOUR_ACCESS_KEY:YOUR_SECRET_KEY');

const response = await fetch('https://api.repliz.com/public/schedule/mass?scheduleIds[]=680affa5ce12f2f72916f67e', {
  method: 'DELETE',
  headers: {
    'Authorization': `Basic ${credentials}`
  }
});

const data = await response.json();
console.log(data);

Response

json
// No content returned on success
json
{
  "code": 401,
  "message": "unauthorized"
}